<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" "http://www.w3.org/TR/REC-html40/loose.dtd">
<html><head><title>
Pico Device Manual: Flashing the microscope firmware 
</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<meta http-equiv="Content-Style-Type" content="text/css">
<link rel="stylesheet" title="Default" type="text/css" href="allegro.css"></head><body bgcolor=white text=black link="#0000ee" alink="#ff0000" vlink="#551a8b">
<h1><a name="Flashing the microscope firmware ">Flashing the microscope firmware </a></h1>

<ul>
<li><a href="#Connecting_to_the_microscope_micro_controller"> Connecting to the microscope micro-controller</a> 
<li><a href="#Disconnecting"> Disconnecting</a> 
<li><a href="#Flashing_the_program"> Flashing the program</a> 
<li><a href="#Lauching_Silicon_Labs_IDE"> Lauching Silicon Labs IDE</a> 
<li><a href="#Launching_download"> Launching download</a> 
<li><a href="#Moving_the_magnet_out_of_the_sample"> Moving the magnet out of the sample</a> 
<li><a href="#Opening_the_electronic_compartment"> Opening the electronic compartment</a> 
<li><a href="#Pluging_the_USB_cable_in_the_Jtag_controller"> Pluging the USB cable in the Jtag controller</a> 
<li><a href="#Selecting_the_firmware_program"> Selecting the firmware program</a> 
<li><a href="#Selecting_the_USB_connection"> Selecting the USB connection</a> 
</ul>



<p><br>
Your device is powered by a micro-controller driven by a small piece
of sofware that insure motors feedback, temperature feedback, LED
control, LCD display and communication with the PC recording your
experiment. This sofware has certainly a few bugs (minor we hope),
improvement of this software is possible with time. This software is
loaded in a flash memory. To upgrade this software you need to follow
the procedure describe below. You should only upgrade this software
upon a request of PicoTwist and after recieving the new
software. Loading an inappropriate software in the flash memory may
lead to motors instable behavior. In that regard, you must swing your
magnet holder on the side before starting this process.


<p><br>
<div class="al-api"><b><a name="Moving_the_magnet_out_of_the_sample"> Moving the magnet out of the sample</a></b></div><br>




<p><br>
<img src="./pico-flash0.jpg" height="652" width="846" alt="Pico.exe start" align="center"> 


<p><br>
<div class="al-api"><b><a name="Opening_the_electronic_compartment"> Opening the electronic compartment</a></b></div><br>




<p><br>
<img src="./pico-flash1.jpg" height="542" width="824" alt="Pico.exe start" align="center"> 


<p><br>
<div class="al-api"><b><a name="Pluging_the_USB_cable_in_the_Jtag_controller"> Pluging the USB cable in the Jtag controller</a></b></div><br>




<p><br>
<img src="./pico-flash2.jpg" height="648" width="972" alt="Pico.exe start" align="center"> 

<p><br>
<div class="al-api"><b><a name="Lauching_Silicon_Labs_IDE"> Lauching Silicon Labs IDE</a></b></div><br>




<p><br>
<img src="./pico-ide1.png" height="690" width="971" alt="Pico.exe start" align="center"> 


<p><br>
<div class="al-api"><b><a name="Selecting_the_USB_connection"> Selecting the USB connection</a></b></div><br>



<p><br>
<img src="./pico-ide2.png" height="690" width="971" alt="Pico.exe start" align="center"> 




<p><br>
<img src="./pico-ide3.png" height="690" width="971" alt="Pico.exe start" align="center"> 


<p><br>
<div class="al-api"><b><a name="Connecting_to_the_microscope_micro_controller"> Connecting to the microscope micro-controller</a></b></div><br>




<p><br>
<img src="./pico-ide4.png" height="162" width="465" alt="Pico.exe start" align="center"> 


<p><br>
<div class="al-api"><b><a name="Launching_download"> Launching download</a></b></div><br>



<p><br>
<img src="./pico-ide5.png" height="206" width="643" alt="Pico.exe start" align="center"> 

<p><br>
<div class="al-api"><b><a name="Selecting_the_firmware_program"> Selecting the firmware program</a></b></div><br>



<p><br>
<img src="./pico-ide6.png" height="690" width="971" alt="Pico.exe start" align="center"> 

<p><br>
<div class="al-api"><b><a name="Flashing_the_program"> Flashing the program</a></b></div><br>



<p><br>
<img src="./pico-ide7.png" height="690" width="971" alt="Pico.exe start" align="center"> 





<p><br>
<img src="./pico-ide8.png" height="690" width="971" alt="Pico.exe start" align="center"> 

<p><br>
<div class="al-api"><b><a name="Disconnecting"> Disconnecting</a></b></div><br>



<p><br>
<img src="./pico-ide9.png" height="224" width="535" alt="Pico.exe start" align="center"> 

<p>
<hr><div class="al-back-to-contents"><a href="picodv.html">Back to contents</a></div>

</body>
</html>
